Mailinglist Archive: opensuse-buildservice (247 mails)

< Previous Next >
[opensuse-buildservice] webkit-sharp RPM does not find webkit-1.0
  • From: Jacek Rużyczka <jacek.ruzyczka@xxxxxxxxxxxxxx>
  • Date: Mon, 24 Jun 2013 22:10:28 +0200
  • Message-id: <CA+zOgqa+5gWFRckVPmkQiC3WjGh7ZBn3n9Ea0nDwQ=PtbjZF8Q@mail.gmail.com>
Hello,

as a C#/.NET developer, I installed webkit-sharp and webkitgtk on my
openSuSE 12.3 machine to implant a browser window in one of my Gtk#
apps:

jacek@veteran:~> rpm -qa | grep webkit
webkit-jsc-3-1.10.2-3.2.1.x86_64
libwebkitgtk-1_0-0-1.10.2-3.2.1.x86_64
kwebkitpart-1.3.1-2.1.1.x86_64
libwebkitgtk-3_0-0-1.10.2-3.2.1.x86_64
libwebkitgtk3-devel-1.10.2-3.2.1.x86_64
libproxy1-pacrunner-webkit-0.4.11-2.1.1.x86_64
webkit-sharp-0.3-8.1.noarch
libwebkitgtk3-lang-1.10.2-3.2.1.noarch
libwebkit2gtk-3_0-18-1.10.2-3.2.1.x86_64

However, I can't use webkit-sharp as when I implant a WebView into my
Gtk# app, compile and run it, I get an error message stating the
webkit-1.0 lib was not found. For myself, I have found several
webkitgtk libs in /usr/lib64. Soft-linking webkit-1.0.so.0 or
webkit-1.0.so.2 to one of the webkitgtk libs does not help.

On my former openSuSE 12.1 platform, as I can remember, I had to add a
soft-link named webkit-1.0, but then the whole lot did work. Is this a
packaging error?

Any help is strongly appreciated.

Kind regards
Jacek Rużyczka
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages